### Name: studentGrowthPercentiles
### Title: Student Growth Percentiles
### Aliases: studentGrowthPercentiles
### Keywords: misc models

### ** Examples

############################################################################
####
#### Code for master file which computes student growth percentiles for 2007
#### using provided sgpData dataset
####
############################################################################

###
### Create knots and save to Knots\_Boundaries directory
### Uncomment to specify these knots/boundaries
### and add argument use.my.knots.and.boundaries=TRUE
###

##if (is.na(file.info("Knots_Boundaries")$isdir)) {
##    dir.create("Knots_Boundaries")
##}

##boundaries_read_g3 <- c(150, 795); knots_read_g3 <- c(510, 550, 580, 615)
##boundaries_read_g4 <- c(180, 940); knots_read_g4 <- c(542, 580, 606, 635)
##boundaries_read_g5 <- c(220, 955); knots_read_g5 <- c(562, 602, 632, 665)
##boundaries_read_g6 <- c(260, 970); knots_read_g6 <- c(575, 615, 645, 675)
##boundaries_read_g7 <- c(300, 980); knots_read_g7 <- c(586, 625, 655, 690)

##save(boundaries_read_g3, file="Knots_Boundaries/boundaries_read_g3.Rdata")
##save(knots_read_g3, file="Knots_Boundaries/knots_read_g3.Rdata")

##save(boundaries_read_g4, file="Knots_Boundaries/boundaries_read_g4.Rdata")
##save(knots_read_g4, file="Knots_Boundaries/knots_read_g4.Rdata")

##save(boundaries_read_g5, file="Knots_Boundaries/boundaries_read_g5.Rdata")
##save(knots_read_g5, file="Knots_Boundaries/knots_read_g5.Rdata")

##save(boundaries_read_g6, file="Knots_Boundaries/boundaries_read_g6.Rdata")
##save(knots_read_g6, file="Knots_Boundaries/knots_read_g6.Rdata")

##save(boundaries_read_g7, file="Knots_Boundaries/boundaries_read_g7.Rdata")
##save(knots_read_g7, file="Knots_Boundaries/knots_read_g7.Rdata")

###
### Load relevant datasets
###

data(sgpData)

###
### Calculate student growth percentiles
###

## 444444444444444444444444444444444444444444444444444444444444

g4_sgp <- studentGrowthPercentiles(
             student.data = sgpData, 
             num.panels = 4, 
             num.prior = 1, 
             subset.grade = 4,
             percuts.digits = 0, 
             sgp.function.labels = list(my.year=2007, my.subject="read", my.grade=4))

## save(g4_sgp, file="Results_Data/sgp_read_2007_g4.Rdata")

## 555555555555555555555555555555555555555555555555555555555555

g5_sgp <- studentGrowthPercentiles(
             student.data = sgpData, 
             num.panels = 4, 
             num.prior = 2,  
             subset.grade = 5,
             percuts.digits = 0,
             use.my.knots.and.boundaries=TRUE, 
             sgp.function.labels = list(my.year=2007, my.subject="read", my.grade=5))

## save(g5_sgp, file="Results_Data/sgp_read_2007_g5.Rdata")

## 6666666666666666666666666666666666666666666666666666666666666

g6_sgp <- studentGrowthPercentiles(
             student.data = sgpData, 
             num.panels = 4, 
             num.prior = 3, 
             subset.grade = 6,
             percuts.digits = 0,
             use.my.knots.and.boundaries=TRUE,
             sgp.function.labels = list(my.year=2007, my.subject="read", my.grade=6))

## save(g6_sgp, file="Results_Data/sgp_read_2007_g6.Rdata")

## 7777777777777777777777777777777777777777777777777777777777777

g7_sgp <- studentGrowthPercentiles(
             student.data = sgpData, 
             num.panels = 4, 
             num.prior = 3, 
             subset.grade = 7,
             percuts.digits = 0,
             use.my.knots.and.boundaries=TRUE,
             sgp.function.labels = list(my.year=2007, my.subject="read", my.grade=7))

## save(g7_sgp, file="Results_Data/sgp_read_2007_g7.Rdata")


###
### Bind grade results and save output
###

sgp_read_2007_gall <- rbind(g4_sgp, g5_sgp, g6_sgp, g7_sgp)
save(sgp_read_2007_gall, file="Results_Data/sgp_read_2007_gall.Rdata")
write.table(sgp_read_2007_gall, file="Results_Data/sgp_read_2007_gall.dat", 
            sep=",", row.names=FALSE, quote=FALSE)

###
### End of Master Program for Student Growth Percentiles
###



